Subject: Can a note be pushed to origin?

From: "Stephen P. Smith" <[email-masked]>
Date: Wed, 25 Sep 2024 05:25:15 -0700

In a project that I am working on, some metadata is currently embedded in some 
source files.  The question was asked yesterday if there is a way to move that 
metadata a git specific file and link it to the source file or commit.

I remembered that git has notes which can be used to add such data to a 
commit, but I don't believe that such metadata gets pushed to origin nor 
fetched from origin but another user.  

Is there a currently implemented way to do something like this?